Package org.opengis.cite.ogcapifeatures10.openapi3

# Class OpenApiUtils

java.lang.Object
org.opengis.cite.ogcapifeatures10.openapi3.OpenApiUtils

public class OpenApiUtils extends Object

OpenApiUtils class.

Author:
  Lyn Goltz

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `(package private) static enum`
  `OpenApiUtils.PATH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isFreeFormParameterSupportedForCollection(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName)`
  isFreeFormParameterSupportedForCollection.
  `static boolean`
  `isParameterSupportedForCollection(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, String queryParam)`
  isParameterSupportedForCollection.
  `static com.reprezen.kaizen.oasparser.model3.Parameter`
  `retrieveParameterByName(String collectionItemPath, com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, String name)`
  retrieveParameterByName.
  `(package private) static List<TestPoint>`
  `retrieveTestPoints(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut)`
  Parse all test points from the passed OpenApi3 document as described in A.4.3.
  `static List<TestPoint>`
  `retrieveTestPointsForCollection(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName)`
  Parse the test points with the passed path including the extended path from the passed OpenApi3 document as described in A.4.3.
  `static List<TestPoint>`
  `retrieveTestPointsForCollectionMetadata(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName)`
  Parse the COLLECTION METADATA test points for the passed collectionName including the extended path from the passed OpenApi3 document as described in A.4.3.
  `static List<TestPoint>`
  `retrieveTestPointsForCollections(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, int noOfCollection)`
  Parse the COLLECTIONS test points from the passed OpenApi3 document as described in A.4.3.
  `static List<TestPoint>`
  `retrieveTestPointsForCollectionsMetadata(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut)`
  Parse the COLLECTIONS METADATA test points from the passed OpenApi3 document as described in A.4.3.
  `static List<TestPoint>`
  `retrieveTestPointsForConformance(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut)`
  Parse the CONFORMANCE test points from the passed OpenApi3 document as described in A.4.3.
  `static List<TestPoint>`
  `retrieveTestPointsForFeature(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, String featureId)`
  Parse the test points with the passed path including the extended path from the passed OpenApi3 document as described in A.4.3.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### retrieveTestPoints

    static List<TestPoint> retrieveTestPoints(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut)
    Parse all test points from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveTestPointsForConformance

    public static List<TestPoint> retrieveTestPointsForConformance(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut)
    Parse the CONFORMANCE test points from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveTestPointsForCollectionsMetadata

    public static List<TestPoint> retrieveTestPointsForCollectionsMetadata(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut)
    Parse the COLLECTIONS METADATA test points from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveTestPointsForCollectionMetadata

    public static List<TestPoint> retrieveTestPointsForCollectionMetadata(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName)
    Parse the COLLECTION METADATA test points for the passed collectionName including the extended path from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
      `collectionName` - the extended path, may be `null`
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveTestPointsForCollections

    public static List<TestPoint> retrieveTestPointsForCollections(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, int noOfCollection)
    Parse the COLLECTIONS test points from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
      `noOfCollection` - the number of collections to return test points for (-1 means the test points of all collections should be returned)
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveTestPointsForCollection

    public static List<TestPoint> retrieveTestPointsForCollection(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName)
    Parse the test points with the passed path including the extended path from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
      `collectionName` - the extended path, may be `null`
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveTestPointsForFeature

    public static List<TestPoint> retrieveTestPointsForFeature(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, String featureId)
    Parse the test points with the passed path including the extended path from the passed OpenApi3 document as described in A.4.3. Identify the Test Points.
    Parameters:
      `apiModel` - never `null`
      `iut` - the url of the instance under test, never `null`
      `collectionName` - the extended path, may be `null`
      `featureId` - the id of the feature, never `null`
    Returns:
      the parsed test points, may be empty but never `null`

  - ### retrieveParameterByName

    public static com.reprezen.kaizen.oasparser.model3.Parameter retrieveParameterByName(String collectionItemPath, com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, String name)

    retrieveParameterByName.

    Parameters:
      `collectionItemPath` - a `String` object
      `apiModel` - a `OpenApi3` object
      `name` - a `String` object
    Returns:
      a `Parameter` object

  - ### isFreeFormParameterSupportedForCollection

    public static boolean isFreeFormParameterSupportedForCollection(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName)

    isFreeFormParameterSupportedForCollection.

    Parameters:
      `apiModel` - a `OpenApi3` object
      `iut` - a `URI` object
      `collectionName` - a `String` object
    Returns:
      a boolean

  - ### isParameterSupportedForCollection

    public static boolean isParameterSupportedForCollection(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, String queryParam)

    isParameterSupportedForCollection.

    Parameters:
      `apiModel` - a `OpenApi3` object
      `iut` - a `URI` object
      `collectionName` - a `String` object
      `queryParam` - a `String` object
    Returns:
      a boolean